module ErrorHandling

    implicit none

contains

! OpenFileError -> Used in MAIN
! InputError -> Used in MAIN, TravelWeights

subroutine OpenFileError(err_value, Text)
    ! Print an error message if the program cannot open the file
    ! Stops the program
    
    implicit none
    integer, intent(in) :: err_value
    character(len=*), intent(in) :: Text
    
    if (err_value /= 0) then
        print*, Text
        print*, 'Press ENTER to continue'
        read*
        stop
    endif
end subroutine OpenFileError

subroutine InputError(Text)
    ! Print an error message if the program cannot open the file
    ! Stops the program
    
    implicit none
    character(len=*), intent(in) :: Text
    
    print*, Text
    print*, 'Press ENTER to continue'
    read*
    stop
    
end subroutine InputError

end module ErrorHandling